Delete Branch
DELETEhttps://api.confident-ai.com/v1/prompts/{alias}/branches/{name}
Deletes an existing branch from your prompt on Confident AI.
curl -X DELETE "https://api.confident-ai.com/v1/prompts/{alias}/branches/{name}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "br_123456"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
aliasstringRequiredThe unique alias of the prompt.
namestringRequiredThe unique name of the branch you're trying to update.
Response
successbooleanThis is true if the prompt branch was successfully deleted.
dataobjectShow 1 propertyHide 1 property
idstringThis is the ID of the deleted prompt branch.
deprecatedbooleanThis is true if this endpoint is deprecated.
Built byConfident AI